@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΚΑΤΕΒΑΖΕΙ ΣΥΓΚΕΚΡΙΜΕΝΗ ΠΟΙΟΤΗΤΑ ΜΕ ΤΟ YT-DLP ΤΑ ΒΙΝΤΕΟ ΣΑΣ ΑΠΟ ΤΟ ΔΙΑΔΙΚΤΥΟ ΑΠΛΑ ΕΠΙΚΟΛΛΩΝΤΑΣ 
REM ΤΟ Url ΤΗΣ ΣΕΛΙΔΑΣ
REM ΦΥΣΙΚΑ ΓΙΑ ΝΑ ΤΑ ΚΑΤΕΒΑΣΕΙ ΠΡΕΠΕΙ ΝΑ ΥΠΟΣΤΗΡΙΖΕΤΑΙ Η ΣΕΛΙΔΑ. ΠΕΡΙΣΣΟΤΕΡΑ ΣΤΟ: https://github.com/yt-dlp/yt-dlp
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

echo.
set "StartQQ=18"
set /p StartQQ=Γράψτε το όρισμα της εντολής -f, π.χ. 22 για 720p, αλλιώς Enter για 360p:

echo.
echo Αρχίζω να κατεβάζω με Ποιότητα "%StartQQ%" το "%~1" ..
echo.
call yt-dlp.exe -f "%StartQQ%" "%~1" --color screen:no_color --color stdout:no_color --color stderr:never
rem τρελαινει τα χρώματα του script το yt-dlp λογω της ctypes βιβλιοθηκης που χρησιμοποιώ και εγω στο GameLink :p
color 1F

if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)

if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0